/**
 * Class for dealing with HAP TLV data.
 */
/// <reference types="node" />
export type TLV = Map<number, Buffer>;
/**
 * Decode a buffer into a TLV object.
 *
 * See Chapter 12.1
 *
 * @param {Buffer} buffer - Buffer to decode
 * @returns {TLV} TLV object
 */
export declare function decodeBuffer(buffer: Buffer): TLV;
/**
 * Encode a TLV object into a buffer.
 *
 * See Chapter 12.1
 *
 * @param {TLV} obj - TLV object to encode
 * @returns {Buffer} Encoded buffer
 */
export declare function encodeObject(obj: TLV): Buffer;
//# sourceMappingURL=tlv.d.ts.map